Subject: Re: [PATCH] select congestion control with one sysctl

From: Stephen Hemminger <[email-masked]>
Date: Wed, 23 Feb 2005 16:23:02 -0800

David S. Miller wrote:

>For the millionth time, you can't just delete the existing sysctls.
>That is a user visisble interface.
>
>Instead, you have to make them at least appear to select a
>single congestion control algorithm as I stated in the
>following posting:
>
>http://marc.theaimsgroup.com/?l=linux-kernel&m=110909973530321&w=2
>  
>
I am heading in a different direction with making the TCP congestion 
protocols
a real infrastructure.  After the initial version gets done, then I will 
go back
and add compatiablity interface hooks as required.